curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/read"
payload = {
"archived": True,
"inputs": [{ "name": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true, inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"dataSensitivity": "high",
"dateDisplayHint": "absolute",
"deleted": true,
"description": "<string>",
"displayMode": "all_unique_versions",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"numberDisplayHint": "currency",
"optionSortStrategy": "ALPHABETICAL",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"referencedObjectType": "ABANDONED_CART",
"searchTextAnalysisMode": "NONE",
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"type": "bool",
"updatedAt": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"dataSensitivity": "high",
"dateDisplayHint": "absolute",
"deleted": true,
"description": "<string>",
"displayMode": "all_unique_versions",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"numberDisplayHint": "currency",
"optionSortStrategy": "ALPHABETICAL",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"referencedObjectType": "ABANDONED_CART",
"searchTextAnalysisMode": "NONE",
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"textDisplayHint": "domain_name",
"type": "bool",
"updatedAt": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Get the details for multiple properties
Recupere um conjunto de propriedades de um tipo de objeto específico em um determinado aplicativo. Este endpoint é útil para obter várias propriedades de forma eficiente em uma única solicitação, especialmente ao lidar com grandes conjuntos de dados ou quando propriedades específicas são necessárias para processamento.
Supported products
Supported products
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Um booleano que indica se as propriedades arquivadas devem ser incluídas na leitura em lote. O padrão é falso se não for especificado.
Uma string que representa o nível de sensibilidade dos dados que estão sendo acessados. Esta propriedade ajuda a determinar as medidas de segurança necessárias para o tratamento dos dados.
highly_sensitive, non_sensitive, sensitive Uma matriz de strings, cada uma representando um nome de propriedade a ser incluído na operação de leitura em lote.
Show child attributes
Show child attributes
Resposta
successful operation
A data e hora em que a operação em lote foi concluída, no formato ISO 8601.
Uma matriz contendo os resultados da operação em lote, detalhando o resultado para cada propriedade envolvida.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote começou, no formato ISO 8601.
O status atual da operação em lote, indicando sucesso ou falha.
CANCELED, COMPLETE, PENDING, PROCESSING Um conjunto de links relacionados à operação em lote, normalmente usados para navegação ou ações adicionais.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote foi solicitada, no formato ISO 8601.